Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455326 - Feature Request: timeout on start/stop actions
Summary: Feature Request: timeout on start/stop actions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 20:15 UTC by Ryan O'Hara
Modified: 2018-10-20 01:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:57:17 UTC


Attachments (Terms of Use)
Pass 2 - includes patch from Ryan O'Hara (deleted)
2008-09-02 18:57 UTC, Lon Hohberger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0101 normal SHIPPED_LIVE rgmanager bug-fix and enhancements update 2009-01-20 16:04:34 UTC

Comment 2 Lon Hohberger 2008-07-15 17:36:21 UTC
Ryan, a hint on implementation --

 * Every resource action has a timeout value; it's just not used
 * you'll probably be implementing this 'timeout' checking within the context of
the res_exec function (src/daemons/restree.c)
 * I would not recommend making 'enforced timeouts' the default method of
operation because it could break existing behavior.  As such, you will want to
think about whether you think this should be a per-resource thing (think:
__independent_subtree), a per-service thing (e.g. failover domains), or a global
thing (probably not, but maybe).



Comment 5 Lon Hohberger 2008-09-02 18:57:38 UTC
Created attachment 315578 [details]
Pass 2 - includes patch from Ryan O'Hara

Comment 6 Ryan O'Hara 2008-09-08 17:54:36 UTC
Looks good.

Comment 10 errata-xmlrpc 2009-01-20 20:57:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0101.html


Note You need to log in before you can comment on or make changes to this bug.